Qt 4 не войдёт в состав Debian 10

1 месяц ago admin 0

Разработчики Debian сообщили о скором удалении пакетов с Qt 4 из репозиториев testing и unstable. Таким образом, Qt 4 не войдёт в состав Debian 10 «Buster», в котором будет поставляться только Qt 5. Отмечается, что это достаточно трудное решение, так как многие приложения продолжают использовать Qt 4. Пользователям свободных программ, привязанных к Qt 4, предлагается портировать их на Qt 5, а в случае проприетарного ПО уведомить производителя, что настало время выпустить обновление.

Сопровождение устаревшей ветки Qt 4, финальный выпуск которой был сформирован в мае 2015 года, вызывает определённые трудности. Первые попытки удаления Qt 4 из Debian отмечены ещё при подготовке Debian 9, но библиотека была оставлена в составе дистрибутива, но её сопровождение было ограничено устранением критических проблем. Теперь возникли проблемы другого плана — для поддержки новых версий некоторых библиотек требуется внесение существенных изменений в Qt 4, поэтому проще вообще удалить из Qt 4 связанные с данными библиотеками подсистемы. Например, для обеспечения совместимости с OpenSSL 1.1 разработчики столкнулись с необходимостью применения непротестированных патчей, а для поддержки выпусков новее OpenSSL 1.1 остаётся только удалить из Qt 4 поддержку SSL.


Source: pirates.in.ua